Index: TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java
===================================================================
--- TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 3627)
+++ TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 3628)
@@ -28,8 +28,10 @@
 package org.txm.index.rcp.editors;
 
 import java.util.ArrayList;
+import java.util.HashSet;
 import java.util.List;
 
+import org.eclipse.jface.viewers.StructuredSelection;
 import org.eclipse.jface.viewers.TableViewer;
 import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.SWT;
@@ -80,73 +82,73 @@
  * @author mdecorde
  */
 public class IndexEditor extends TXMEditor<Index> {
-	
+
 	/** The index. */
 	protected Index index;
-	
+
 	// params
 	/** The query label. */
 	protected Label queryLabel;
-	
+
 	// infos
 	/** The navigation area. */
 	protected NavigationWidget navigationArea;
-	
+
 	/** The l fmin info. */
 	protected Label lFminInfo;
-		
+
 	/** The line table viewer. */
 	protected TableViewer viewer;
-	
+
 	/** The n column. */
 	protected TableColumn nColumn;
-	
+
 	/** The unit column. */
 	protected TableColumn unitColumn;
-	
+
 	/** The freq column. */
 	protected TableColumn freqColumn;
-	
+
 	/** The separator column. */
 	protected TableColumn separatorColumn;
-	
-	
+
+
 	/** The title. */
 	String title;
-	
+
 	/** The query widget. */
 	@Parameter(key = TXMPreferences.QUERY)
 	protected AssistedChoiceQueryWidget queryWidget;
-	
+
 	/**
 	 * Minimum frequency filtering spinner.
 	 */
 	@Parameter(key = TXMPreferences.F_MIN)
 	protected Spinner fMinSpinner;
-	
+
 	/**
 	 * Maximum frequency filtering spinner.
 	 */
 	@Parameter(key = TXMPreferences.F_MAX)
 	protected Spinner fMaxSpinner;
-	
+
 	/**
 	 * Maximum number of lines filtering.
 	 */
 	@Parameter(key = TXMPreferences.V_MAX)
 	protected Spinner vMaxSpinner;
-	
-	
+
+
 	/** The N ligne p page spinner. */
 	@Parameter(key = TXMPreferences.N_LINES_PER_PAGE)
 	protected Spinner nLinesPerPageSpinner;
-	
+
 	/**
 	 * Word properties selector.
 	 */
 	@Parameter(key = TXMPreferences.UNIT_PROPERTIES)
 	protected PropertiesSelector<WordProperty> propertiesSelector;
-	
+
 	/**
 	 * Creates the part control.
 	 *
@@ -156,22 +158,22 @@
 	 */
 	@Override
 	public void _createPartControl() throws CqiClientException {
-		
-		
+
+
 		this.index = this.getResult();
-		
+
 		// Computing listeners
 		ComputeSelectionListener computeSelectionListener = new ComputeSelectionListener(this);
 		ComputeKeyListener computeKeyListener = new ComputeKeyListener(this);
-		
+
 		Composite extendedParametersComposite = this.getExtendedParametersGroup();
 		// extendedParametersComposite.setLayout(new FormLayout());
-		
+
 		// info&navigation panel
 		final GLComposite infosArea = this.getBottomToolbar().installGLComposite(IndexUIMessages.infos, 1, false);
 		infosArea.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 		infosArea.getLayout().numColumns = 5; // nav panel + labels
-		
+
 		// on créé une Query, ici le pivot de la concordance est "[]"
 		// Query Area: query itself + view properties
 		// Composite queryArea = new Composite(extendedParametersComposite, SWT.NONE);
@@ -183,21 +185,21 @@
 		// queryArea.setLayoutData(queryLayoutData);
 		//
 		// queryArea.setLayout(new GridLayout(4, false));
-		
+
 		// | Query: [ (v)] [Search] |
-		
-		
+
+
 		// Main parameters
 		// Query
 		this.getMainParametersComposite().getLayout().numColumns = 3;
 		// make the zone expandable to display the longest query field
 		this.getMainParametersComposite().setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
-		
+
 		// Query:
 		queryLabel = new Label(this.getMainParametersComposite(), SWT.NONE);
 		queryLabel.setText(TXMCoreMessages.common_query);
 		queryLabel.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, true));
-		
+
 		// [ (v)]
 		queryWidget = new AssistedChoiceQueryWidget(this.getMainParametersComposite(), SWT.DROP_DOWN, index.getCorpus());
 		GridData layoutData = new GridData(GridData.VERTICAL_ALIGN_CENTER);
@@ -206,7 +208,7 @@
 		queryWidget.setLayoutData(layoutData);
 		queryWidget.addKeyListener(computeKeyListener);
 		queryWidget.getQueryWidget().addModifyListener(computeKeyListener);
-		
+
 		// Word properties selector
 		propertiesSelector = new PropertiesSelector<>(this.getMainParametersComposite(), SWT.NONE);
 		propertiesSelector.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false));
@@ -221,25 +223,25 @@
 		}
 		// Listener
 		propertiesSelector.addSelectionListener(computeSelectionListener);
-		
-		
+
+
 		// Extended parameters
-		
+
 		// Filters
 		//CustomThresholdsGroup thresholdsGroup = new CustomThresholdsGroup(this.getExtendedParametersGroup(), this, new CustomThresholdsGroup.Configuration("F", 0, 100, 0, true, true), new CustomThresholdsGroup.Configuration("V", 0, 100, 0, false, true));
 		ThresholdsGroup thresholdsGroup = new ThresholdsGroup(this.getExtendedParametersGroup(), this, true);
-		
+
 		this.fMinSpinner = thresholdsGroup.getFMinSpinner();
 		this.fMaxSpinner = thresholdsGroup.getFMaxSpinner();
 		this.vMaxSpinner = thresholdsGroup.getVMaxSpinner();
-		
+
 		CQPCorpus corpus = getResult().getFirstParent(MainCorpus.class);
 		if (corpus != null) {
 			this.vMaxSpinner.setMaximum(corpus.getSize());
 			this.fMaxSpinner.setMaximum(corpus.getSize());
 			this.fMinSpinner.setMaximum(corpus.getSize());
 		}
-		
+
 		// FIXME: SJ: we should create a widget class for the number of results per page
 		// Number of results per page
 		LabeledSpinner numberOfResultsPerPage = new LabeledSpinner(this.getExtendedParametersGroup(), this, IndexUIMessages.pageSize);
@@ -248,18 +250,18 @@
 		this.nLinesPerPageSpinner.setMaximum(99999);
 		this.nLinesPerPageSpinner.setIncrement(1);
 		this.nLinesPerPageSpinner.setPageIncrement(100);
-		
-		
-		
+
+
+
 		// Bottom tool bar
 		navigationArea = new NavigationWidget(infosArea, SWT.NONE);
 		navigationArea.setLayoutData(new GridData(SWT.CENTER, SWT.FILL, true, false));
-		
+
 		navigationArea.addFirstListener(new SelectionListener() {
-			
+
 			@Override
 			public void widgetDefaultSelected(SelectionEvent e) {}
-			
+
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				index.setTopLine(0);
@@ -270,27 +272,27 @@
 			}
 		});
 		navigationArea.addLastListener(new SelectionListener() {
-			
+
 			@Override
 			public void widgetDefaultSelected(SelectionEvent e) {}
-			
+
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				int i = (index.getV() / nLinesPerPageSpinner.getSelection());
 				int top = i * nLinesPerPageSpinner.getSelection();
-				
+
 				index.setTopLine(top);
 				fillResultArea();
-				
+
 				viewer.getTable().select(0);
 				viewer.getTable().showSelection();
 			}
 		});
 		navigationArea.addNextListener(new SelectionListener() {
-			
+
 			@Override
 			public void widgetDefaultSelected(SelectionEvent e) {}
-			
+
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				index.setTopLine(index.getTopIndex() + index.getNLinesPerPage());
@@ -300,10 +302,10 @@
 			}
 		});
 		navigationArea.addPreviousListener(new SelectionListener() {
-			
+
 			@Override
 			public void widgetDefaultSelected(SelectionEvent e) {}
-			
+
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				int top = index.getTopIndex() - index.getNLinesPerPage();
@@ -316,23 +318,23 @@
 				viewer.getTable().showSelection();
 			}
 		});
-		
-		
+
+
 		lFminInfo = new Label(infosArea, SWT.NONE);
 		lFminInfo.setText(""); //$NON-NLS-1$
 		// lFminInfo.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
-		
-		
-		
+
+
+
 		// Result area
 		Composite resultArea = this.getResultArea();
-		
+
 		viewer = new TableViewer(resultArea, SWT.MULTI | SWT.FULL_SELECTION | SWT.BORDER | SWT.VIRTUAL);
-		
+
 		viewer.getTable().setLinesVisible(true);
 		viewer.getTable().setHeaderVisible(true);
 		viewer.getTable().addKeyListener(new TableKeyListener(viewer));
-		
+
 		String fontName = index.getCorpus().getProject().getFont();
 		if (fontName != null && fontName.length() > 0) {
 			Font old = viewer.getTable().getFont();
@@ -341,25 +343,33 @@
 			Font font = new Font(Display.getCurrent(), fontName, fD.getHeight(), fD.getStyle());
 			viewer.getTable().setFont(font);
 		}
-		
+
 		viewer.getTable().setLayoutData(new GridData(GridData.FILL_BOTH));
-		
+
 		viewer.setLabelProvider(new LineLabelProvider(viewer.getTable()));
 		viewer.setContentProvider(new LineContentProvider());
 		viewer.setInput(new ArrayList<Property>());
-		
+
 		nColumn = new TableColumn(viewer.getTable(), SWT.LEFT);
 		nColumn.setText(" "); //$NON-NLS-1$
 		nColumn.pack();
-		
+
 		unitColumn = new TableColumn(viewer.getTable(), SWT.LEFT);
 		unitColumn.setText(TXMCoreMessages.common_units);
 		unitColumn.setToolTipText(TXMCoreMessages.common_units);
 		unitColumn.setWidth(300);
 		unitColumn.addSelectionListener(new SelectionListener() {
-			
+
 			@Override
 			public void widgetSelected(SelectionEvent e) {
+				
+				
+				List<Line> sel = viewer.getStructuredSelection().toList();
+				HashSet<String> lineNames = new HashSet<String>();
+				for (Line l : sel) {
+					lineNames.add(l.getSignature());
+				}
+				
 				StatusLine.setMessage(TXMUIMessages.sortingColumn);
 				if (viewer.getTable().getSortColumn() != unitColumn) {
 					viewer.getTable().setSortColumn(unitColumn);
@@ -376,23 +386,41 @@
 						index.sortLines(SortMode.UNITFREQ, false);
 					}
 				}
-				
+
 				StatusLine.setMessage(TXMUIMessages.sortDone);
 				fillResultArea();
+				
+				if (lineNames.size() > 0) {
+					List<Line> newLines = (List<Line>) viewer.getInput();
+					List<Line> newSelection = new ArrayList<Line>();
+					for (Line l : newLines) {
+						if (lineNames.contains(l.getSignature())) newSelection.add(l);
+						if (lineNames.size() == 0) break;
+					}
+					viewer.setSelection(new StructuredSelection(newSelection));
+				}
 			}
-			
+
 			@Override
 			public void widgetDefaultSelected(SelectionEvent e) {}
 		});
-		
+
 		freqColumn = new TableColumn(viewer.getTable(), SWT.RIGHT);
 		freqColumn.setText(TXMCoreMessages.common_frequency);
 		freqColumn.setToolTipText(TXMCoreMessages.common_frequency);
 		freqColumn.setWidth(100);
 		freqColumn.addSelectionListener(new SelectionListener() {
-			
+
 			@Override
 			public void widgetSelected(SelectionEvent e) {
+
+				List<Line> sel = viewer.getStructuredSelection().toList();
+				HashSet<String> lineNames = new HashSet<String>();
+				for (Line l : sel) {
+					lineNames.add(l.getSignature());
+				}
+
+				System.out.println("sellines: "+sel);
 				if (viewer.getTable().getSortColumn() != freqColumn) {
 					viewer.getTable().setSortColumn(freqColumn);
 					viewer.getTable().setSortDirection(SWT.UP);
@@ -410,62 +438,72 @@
 				}
 				StatusLine.setMessage(TXMUIMessages.sortDone);
 				fillResultArea();
+
+				if (lineNames.size() > 0) {
+					List<Line> newLines = (List<Line>) viewer.getInput();
+					List<Line> newSelection = new ArrayList<Line>();
+					for (Line l : newLines) {
+						if (lineNames.contains(l.getSignature())) newSelection.add(l);
+						if (lineNames.size() == 0) break;
+					}
+					viewer.setSelection(new StructuredSelection(newSelection));
+				}
 			}
-			
+
 			@Override
 			public void widgetDefaultSelected(SelectionEvent e) {}
 		});
-		
+
 		separatorColumn = new TableColumn(viewer.getTable(), SWT.LEFT);
 		separatorColumn.setText(""); //$NON-NLS-1$
 		separatorColumn.pack();
-		
-		
-		
+
+
+
 		extendedParametersComposite.pack();
-		
+
 		// Add double click, "Send to" command
 		TXMEditor.addDoubleClickCommandListener(viewer.getTable(), 1, "org.txm.concordance.rcp.handlers.ComputeConcordance"); //$NON-NLS-1$
 		TXMEditor.addDoubleClickCommandListener(viewer.getTable(), 2, viewer.getTable().getColumnCount() - 1, "org.txm.progression.rcp.handlers.ComputeProgression"); //$NON-NLS-1$
-		
+
 		// Register the context menu
 		TXMEditor.initContextMenu(this.viewer.getTable(), this.getSite(), this.viewer);
 		TXMEditor.packColumns(this.viewer);
 		setFocus();
-		
+
 	}
-	
-	
-	
-	
+
+
+
+
 	@Override
 	public void updateResultFromEditor() {
 		// nothing to do
 	}
-	
-	
+
+
 	/**
 	 * Computes index.
 	 */
 	@Override
 	public void updateEditorFromResult(final boolean update) {
-		
+
 		QueriesView.refresh();
 		RVariablesView.refresh();
-		
+
 		if (!queryWidget.isDisposed()) {
 			queryWidget.memorize();
 		}
-		
+
 		fillResultArea();
-		
+
 		TXMEditor.packColumns(this.viewer);
-		
+
 		viewer.getTable().setFocus();
 	}
-	
-	
-	
+
+
+
 	/**
 	 * Fill result area using the index top and index number of results per page parameters.
 	 *
@@ -473,10 +511,10 @@
 	public void fillResultArea() {
 		// System.out.println("call fill from "+from+" to "+to);
 		int from = index.getTopIndex();
-		
+
 		int to = from + index.getNLinesPerPage();
 		to = Math.min(to, index.getV());
-		
+
 		List<Line> lines = null;
 		if (index.getV() > 0) {
 			lines = index.getLines(from, to);
@@ -484,16 +522,16 @@
 		else {
 			lines = new ArrayList<>();
 		}
-		
+
 		navigationArea.setInfoLineText(Integer.toString(from + 1), NLS.bind("{0} / {1}", to, index.getV())); //$NON-NLS-1$
 		navigationArea.setPreviousEnabled(from > 0);
 		navigationArea.setFirstEnabled(from > 0);
 		navigationArea.setNextEnabled(to < index.getV());
 		navigationArea.setLastEnabled(to < index.getV());
-		
+
 		lFminInfo.setText(TXMCoreMessages.bind(IndexUIMessages.tP0vP1fminP2fmaxP3, index.getT(), index.getV(), index.getFmin(), index.getFmax()));
 		lFminInfo.getParent().layout();
-		
+
 		String unitColumnHeader = ""; //$NON-NLS-1$
 		for (Property p : index.getProperties()) {
 			unitColumnHeader += p.getName() + index.getPropertySeparator();
@@ -502,17 +540,17 @@
 			unitColumnHeader = unitColumnHeader.substring(0, unitColumnHeader.length() - 1);
 		}
 		unitColumn.setText(unitColumnHeader);
-		
+
 		viewer.setInput(lines);
 		if (from == 0) {
 			viewer.getTable().setTopIndex(0);
 		}
-		
+
 		// Refresh and pack the columns
 		TXMEditor.packColumns(viewer);
-		
+
 	}
-	
+
 	/**
 	 * Sets the focus.
 	 *
@@ -525,7 +563,7 @@
 		}
 		StatusLine.setMessage(IndexUIMessages.openingTheIndexResults);
 	}
-	
+
 	/**
 	 * Gets the corpus of the index.
 	 *
@@ -534,7 +572,7 @@
 	public CQPCorpus getCorpus() {
 		return index.getCorpus();
 	}
-	
+
 	/**
 	 * Gets the query of the query widget.
 	 * 
@@ -548,7 +586,7 @@
 
 
 	public TableViewer getTableViewer() {
-		
+
 		return viewer;
 	}
 }
Index: TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/adapters/LexiconAdapterFactory.java
===================================================================
--- TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/adapters/LexiconAdapterFactory.java	(revision 3627)
+++ TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/adapters/LexiconAdapterFactory.java	(revision 3628)
@@ -2,7 +2,6 @@
 package org.txm.index.rcp.adapters;
 
 import org.eclipse.jface.resource.ImageDescriptor;
-import org.eclipse.ui.model.IWorkbenchAdapter;
 import org.eclipse.ui.plugin.AbstractUIPlugin;
 import org.osgi.framework.FrameworkUtil;
 import org.txm.index.core.functions.Lexicon;
Index: TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/adapters/PartitionIndexAdapterFactory.java
===================================================================
--- TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/adapters/PartitionIndexAdapterFactory.java	(revision 3627)
+++ TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/adapters/PartitionIndexAdapterFactory.java	(revision 3628)
@@ -22,15 +22,15 @@
 			"platform:/plugin/" + FrameworkUtil.getBundle(PartitionIndexAdapterFactory.class).getSymbolicName() + "/icons/partitionindex.png"); //$NON-NLS-1$ //$NON-NLS-2$
 	
 	@Override
-	public Object getAdapter(Object adaptableObject, Class adapterType) {
+	public <T> T getAdapter(Object adaptableObject, Class<T> adapterType) {
 		if (this.canAdapt(adapterType) && adaptableObject instanceof PartitionIndex) {
-			return new TXMResultAdapter() {
+			return adapterType.cast(new TXMResultAdapter() {
 				
 				@Override
 				public ImageDescriptor getImageDescriptor(Object object) {
 					return ICON;
 				}
-			};
+			});
 		}
 		return null;
 	}
Index: TXM/trunk/org.txm.libs.gson/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.libs.gson/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.libs.gson/META-INF/MANIFEST.MF	(revision 3628)
@@ -4,7 +4,7 @@
 Bundle-SymbolicName: org.txm.libs.gson
 Bundle-Version: 2.8.6
 Automatic-Module-Name: org.txm.libs.gson
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-ClassPath: gson-2.8.6.jar,
  .
 Export-Package: com.google.gson,

Index: TXM/trunk/org.txm.tokenizer.core/.settings/org.eclipse.jdt.groovy.core.prefs
===================================================================
--- TXM/trunk/org.txm.tokenizer.core/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3627)
+++ TXM/trunk/org.txm.tokenizer.core/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 3628)
@@ -1,3 +1,3 @@
 eclipse.preferences.version=1
-groovy.compiler.level=-1
+groovy.compiler.level=40
 groovy.script.filters=**/*.dsld,y,**/*.gradle,n
Index: TXM/trunk/org.txm.tokenizer.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.tokenizer.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.tokenizer.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -8,6 +8,6 @@
  ity:=reexport,org.txm.utils.core;bundle-version="1.0.0";visibility:=r
  eexport,org.eclipse.core.resources;visibility:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 
Index: TXM/trunk/org.txm.tokenizer.core/src/org/txm/tokenizer/SimpleStringTokenizer.groovy
===================================================================
--- TXM/trunk/org.txm.tokenizer.core/src/org/txm/tokenizer/SimpleStringTokenizer.groovy	(revision 3627)
+++ TXM/trunk/org.txm.tokenizer.core/src/org/txm/tokenizer/SimpleStringTokenizer.groovy	(revision 3628)
@@ -137,7 +137,7 @@
 	/**
 	 * Process word.
 	 */
-	public ArrayList<ArrayList<String>> processText(String text) {
+	public List<List<String>> processText(String text) {
 		ArrayList<ArrayList<String>> result = new ArrayList<String>()
 		ArrayList<String> sresult = new ArrayList<String>()
 		if (regSplitWhiteSpaces != null) {
@@ -256,7 +256,7 @@
 			["fr", "C'est un autre test."],
 			[
 				"fr",
-				"C'est une version 0.8.2 un 01:12:12 test vers http://un.site.web.fr, fin."
+				"C'est une version 1.2.3 un 01:12:12 test vers http://un.site.web.fr, fin."
 			],
 			["en", "This is a test."],
 			["en", "It's a test."]

Index: TXM/trunk/org.txm.libs.cqp.macosx/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.libs.cqp.macosx/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.libs.cqp.macosx/META-INF/MANIFEST.MF	(revision 3628)
@@ -3,9 +3,10 @@
 Bundle-Name: org.txm.libs.cqp.macosx
 Bundle-Version: 1.1.0.qualifier
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Eclipse-PlatformFilter: (osgi.os=macosx)
 Bundle-Vendor: Textometrie.org
 Fragment-Host: org.txm.libs.cqp
 Automatic-Module-Name: org.txm.libs.cqp.macosx
+Eclipse-BundleShape: dir
 

Index: TXM/trunk/org.txm.ca.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.ca.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.ca.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -10,7 +10,7 @@
  ca.core;bundle-version="1.0.0";visibility:=reexport
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.ca.rcp
 

Index: TXM/trunk/org.txm.statsengine.r.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.statsengine.r.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.statsengine.r.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -6,11 +6,11 @@
 Bundle-SymbolicName: org.txm.statsengine.r.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-Name: %Bundle-Name
-Require-Bundle: org.txm.rcp;bundle-version="0.8.0";visibility:=reexpor
+Require-Bundle: org.txm.rcp;bundle-version="0.8.3";visibility:=reexpor
  t,org.txm.statsengine.r.core;bundle-version="1.0.0";visibility:=reexp
  ort
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.statsengine.r.rcp
 

Index: TXM/trunk/org.txm.annotation.kr.rcp/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.annotation.kr.rcp/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.annotation.kr.rcp/META-INF/MANIFEST.MF	(revision 3628)
@@ -11,7 +11,7 @@
  bility:=reexport,org.txm.annotation.rcp;bundle-version="1.0.0";visibi
  lity:=reexport
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
 Automatic-Module-Name: org.txm.annotation.kr.rcp
 

Index: TXM/trunk/org.txm.annotation.kr.core/.classpath
===================================================================
--- TXM/trunk/org.txm.annotation.kr.core/.classpath	(revision 3627)
+++ TXM/trunk/org.txm.annotation.kr.core/.classpath	(revision 3628)
@@ -1,18 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	<classpathentry kind="con"
-		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
-	<classpathentry kind="con"
-		path="org.eclipse.pde.core.requiredPlugins">
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
 		<accessrules>
-			<accessrule kind="accessible" pattern="**" />
+			<accessrule kind="accessible" pattern="**"/>
 		</accessrules>
 	</classpathentry>
-	<classpathentry kind="src" path="src" />
-	<classpathentry kind="lib" path="libs/hsqldb.jar" />
-	<classpathentry kind="lib"
-		path="libs/postgresql-9.4.1207.jre6.jar" />
-	<classpathentry kind="lib"
-		path="libs/sqlite-jdbc-3.8.11.2.jar" />
-	<classpathentry kind="output" path="bin" />
-</classpath>
\ No newline at end of file
+	<classpathentry kind="src" path="src"/>
+	<classpathentry kind="lib" path="libs/postgresql-9.4.1207.jre6.jar"/>
+	<classpathentry kind="lib" path="libs/sqlite-jdbc-3.8.11.2.jar"/>
+	<classpathentry kind="output" path="bin"/>
+</classpath>
Index: TXM/trunk/org.txm.annotation.kr.core/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/org.txm.annotation.kr.core/META-INF/MANIFEST.MF	(revision 3627)
+++ TXM/trunk/org.txm.annotation.kr.core/META-INF/MANIFEST.MF	(revision 3628)
@@ -2,37 +2,59 @@
 Automatic-Module-Name: org.txm.annotation.kr.core
 Bundle-SymbolicName: org.txm.annotation.kr.core;singleton:=true
 Require-Bundle: org.txm.searchengine.cqp.core;visibility:=reexport,
- javax.persistence;bundle-version="2.1.0";visibility:=reexport,
- org.eclipse.persistence.jpa;bundle-version="2.6.0";visibility:=reexport,
- org.eclipse.persistence.jpa.jpql;bundle-version="2.6.0";visibility:=reexport,
  org.txm.annotation.core;visibility:=reexport,
- org.eclipse.persistence.asm;bundle-version="6.0.0";visibility:=reexport
+ org.eclipse.persistence.core,
+ org.eclipse.persistence.jpa,
+ org.eclipse.persistence.asm,
+ org.eclipse.persistence.jpa.jpql,
+ org.eclipse.persistence.antlr,
+ jakarta.persistence
 Meta-Persistence: META-INF/persistence.xml
 Bundle-ActivationPolicy: lazy
 Bundle-ManifestVersion: 2
-Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
-Export-Package: org.hsqldb,org.hsqldb.auth,org.hsqldb.dbinfo,org.hsqld
- b.error,org.hsqldb.index,org.hsqldb.jdbc,org.hsqldb.jdbc.pool,org.hsq
- ldb.lib,org.hsqldb.lib.java,org.hsqldb.lib.tar,org.hsqldb.map,org.hsq
- ldb.navigator,org.hsqldb.persist,org.hsqldb.resources,org.hsqldb.resu
- lt,org.hsqldb.rights,org.hsqldb.rowio,org.hsqldb.scriptio,org.hsqldb.
- server,org.hsqldb.types,org.hsqldb.util,org.postgresql,org.postgresql
- .copy,org.postgresql.core,org.postgresql.core.v2,org.postgresql.core.
- v3,org.postgresql.ds,org.postgresql.ds.common,org.postgresql.fastpath
- ,org.postgresql.geometric,org.postgresql.gss,org.postgresql.hostchoos
- er,org.postgresql.jdbc,org.postgresql.jdbc2,org.postgresql.jdbc2.opti
- onal,org.postgresql.jdbc3,org.postgresql.largeobject,org.postgresql.o
- sgi,org.postgresql.ssl,org.postgresql.ssl.jdbc4,org.postgresql.sspi,o
- rg.postgresql.translation,org.postgresql.util,org.postgresql.xa,org.s
- qlite,org.sqlite.core,org.sqlite.date,org.sqlite.javax,org.sqlite.jdb
- c3,org.sqlite.jdbc4,org.sqlite.util,org.txm.annotation.kr.core,org.tx
- m.annotation.kr.core.conversion,org.txm.annotation.kr.core.preference
- s,org.txm.annotation.kr.core.repository,org.txm.annotation.kr.core.st
- orage.temporary,org.txm.annotation.kr.core.temporary
+Export-Package: org.postgresql,
+ org.postgresql.copy,
+ org.postgresql.core,
+ org.postgresql.core.v2,
+ org.postgresql.core.v3,
+ org.postgresql.ds,
+ org.postgresql.ds.common,
+ org.postgresql.fastpath,
+ org.postgresql.geometric,
+ org.postgresql.gss,
+ org.postgresql.hostchooser,
+ org.postgresql.jdbc,
+ org.postgresql.jdbc2,
+ org.postgresql.jdbc2.optional,
+ org.postgresql.jdbc3,
+ org.postgresql.largeobject,
+ org.postgresql.osgi,
+ org.postgresql.ssl,
+ org.postgresql.ssl.jdbc4,
+ org.postgresql.sspi,
+ org.postgresql.translation,
+ org.postgresql.util,
+ org.postgresql.xa,
+ org.sqlite,
+ org.sqlite.core,
+ org.sqlite.date,
+ org.sqlite.javax,
+ org.sqlite.jdbc3,
+ org.sqlite.jdbc4,
+ org.sqlite.util,
+ org.txm.annotation.kr.core,
+ org.txm.annotation.kr.core.conversion,
+ org.txm.annotation.kr.core.messages,
+ org.txm.annotation.kr.core.preferences,
+ org.txm.annotation.kr.core.repository,
+ org.txm.annotation.kr.core.storage.temporary,
+ org.txm.annotation.kr.core.temporary
 Bundle-Version: 1.0.0.qualifier
 Bundle-Name: KR Annotation Core
-Bundle-ClassPath: .,libs/hsqldb.jar,libs/postgresql-9.4.1207.jre6.jar,
+Bundle-ClassPath: .,
+ libs/postgresql-9.4.1207.jre6.jar,
  libs/sqlite-jdbc-3.8.11.2.jar
 Bundle-Activator: org.txm.annotation.kr.core.Activator
 
Index: TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationInjector.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationInjector.java	(revision 3627)
+++ TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationInjector.java	(revision 3628)
@@ -862,8 +862,8 @@
 	
 	public static void main(String[] args) {
 		try {
-			File xmlFile = new File(System.getProperty("user.home"), "TXM-0.8.2/corpora/XMLLINEBREAK/txm/XMLLINEBREAK/test.xml");
-			File outfile = new File(System.getProperty("user.home"), "TXM-0.8.2/corpora/XMLLINEBREAK/txm/XMLLINEBREAK/test-out.xml");
+			File xmlFile = new File(System.getProperty("user.home"), "TXM-0.8.3/corpora/XMLLINEBREAK/txm/XMLLINEBREAK/test.xml");
+			File outfile = new File(System.getProperty("user.home"), "TXM-0.8.3/corpora/XMLLINEBREAK/txm/XMLLINEBREAK/test-out.xml");
 			
 			ArrayList<Annotation> segmentAnnotations = new ArrayList<>();
 			// int starts[] = { 3, 6 };
Index: TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/Annotation.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/Annotation.java	(revision 3627)
+++ TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/Annotation.java	(revision 3628)
@@ -1,11 +1,12 @@
 package org.txm.annotation.kr.core;
 
 import java.io.Serializable;
-import java.text.DateFormat;
-import java.text.SimpleDateFormat;
 import java.util.Date;
 
-import javax.persistence.*;
+import javax.persistence.EmbeddedId;
+import javax.persistence.Entity;
+import javax.persistence.IdClass;
+import javax.persistence.Table;
 
 import org.txm.Toolbox;
 import org.txm.annotation.kr.core.repository.KnowledgeRepository;
Index: TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/storage/temporary/TemporaryAnnotationManager.java
===================================================================
--- TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/storage/temporary/TemporaryAnnotationManager.java	(revision 3627)
+++ TXM/trunk/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/storage/temporary/TemporaryAnnotationManager.java	(revision 3628)
@@ -164,7 +164,6 @@
 						}
 						else {
 							// System.out.println(annot.getStart()+"-"+annot.getEnd()+" // "+startPos+"-"+endPos);
-							
 						}
 					}
 				}
@@ -499,6 +498,9 @@
 	}
 	
 	public EntityManager initTemporaryAnnotationDatabase(HashMap<String, Object> properties) {
+		
+		if (em != null) return em;
+		
 		PersistenceProvider pp = new PersistenceProvider();
 		// System.out.println("Check for provider: "+pp.checkForProviderProperty(properties));
 		
@@ -514,7 +516,7 @@
 		emf = pp.createEntityManagerFactory(DatabasePersistenceManager.PERSISTENCE_UNIT_NAME, properties);
 		
 		em = emf.createEntityManager();
-		
+				
 		return em;
 	}
 	
